<?php
/*################################################
@author: Code Tecnologia
@date: 15/04/2019
@version: 1.00
@purpose: Classe responsavel por retornar dados do CEP baseado no CEP e LOCALE

Resposta esperada para locale PT:
{ 
"erro": false,
"mensagem":"",
"endereco": {
        "cep":640941,
        "estado":"Hokkaido",
        "cidade":"Chuo-ku, Sapporo",
        "bairro":"Asahigaoka",
        "zone_id":"1668",
   }
}


Resposta esperada para locale JA:
{ 
"erro": false,
"mensagem":"",
"endereco": {
        "cep":640941,
        "estado":"北海道",
        "cidade":"札幌市中央区",
        "bairro":"旭ケ丘",
        "zone_id":"1668",
   }
}

*/
  
################################################*/
$url = "https://jp.saudeesabor.co.jp/image/";

include_once("connect.php");

	mysqli_query($conexao,"SET NAMES 'utf8'");
    mysqli_query($conexao,'SET character_set_connection=utf8');
    mysqli_query($conexao,'SET character_set_client=utf8');
    mysqli_query($conexao,'SET character_set_results=utf8');

//Funcao para exibir o json
function exibir_json($json){
    $echo_json = json_encode($json);
    $json = array_map('utf8_encode', $json);
	echo $echo_json;
}


//Verificando se a mensagem foi transmitida por POST
if(strcasecmp($_SERVER['REQUEST_METHOD'], 'POST') != 0){  
    $status = array(
				'erro' => 'true',
				'mensagem' => 'O formato recebido não é um POST');
    //$json = json_encode($status);
	exibir_json($status);
    exit(0);
}

//Verificando se o Content-type é 'application/json'
/*
$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
if(strcasecmp($contentType, 'application/json') != 0){
    $status = array(
				'erro' => 'true',
				'mensagem' => 'O tipo da mensagem está incorreto.');
    $json = json_encode($status);
	exibir_json($json);
    exit(0);
}
*/


//recebendo a requisicao
$content = file_get_contents("php://input");
$content = utf8_encode($content); //evita erros

  //obtendo informacoes do Header da mensagem


    $token  = isset($_SERVER["HTTP_TOKEN"]) ? trim($_SERVER["HTTP_TOKEN"])    : '';//pegando o locale (pt ou ja) do header 

/*Checando dados obrigatórios*/  
    if(empty($token)){
      $status = array(
				'erro' => 'true',
				'mensagem' => 'Token não informado');
      //$json = json_encode($status);
      //enviarCurl($url,$json);
	  exibir_json($status);
      
    }else{

    $token_decoded = base64_decode($token);
      
        //Aceitou o TERMO deve ser tratado. Substituir o "1" pelo tratamento correto.
        //Verifica o locale
        

    $consulta_enderecos =  "select addr.*, 
                                    case when addr.address_id = cust.address_id then 1 else 0
                                    end as padrao
                                    from oc_address addr inner join oc_customer cust
                                      on addr.customer_id = cust.customer_id
                                where cust.customer_id = $token_decoded"; 
        
        }

        
/*
echo $consulta_enderecos;
exit;
*/


        $enderecos = array(
                        'enderecos'    => ''
                    );             

        $result = mysqli_query($conexao, $consulta_enderecos) or die(mysqli_error($conexao));
        if(mysqli_num_rows($result)>0){
            while($row = mysqli_fetch_assoc($result)){

                $endereco['address_id']     = $row['address_id'];
                $endereco['customer_id']    = $row['customer_id'];
                $endereco['firstname']      = $row['firstname'];
                $endereco['lastname']       = $row['lastname'];
                $endereco['address_1']      = $row['address_1'];
                $endereco['address_2']      = $row['address_2'];
                $endereco['city']           = $row['city'];
                $endereco['postcode']       = $row['postcode'];
                $endereco['country_id']     = $row['country_id'];
                $endereco['zone_id']        = $row['zone_id'];
                $endereco['padrao']         = $row['padrao']==1 ? true : false ;


                $enderecos_list[] = $endereco;
            }
                $status = array( 'erro'     => 'false'
                                ,'mensagem' => ''
                                ,'enderecos'  => $enderecos_list 
                                );

                $json = json_encode($status);
				
            	echo $json;
                exit(0);
                
            
        }else{
            $status = array(
				'erro' => 'true',
				'mensagem' => 'Endereços não localizados, verifique se o Token foi informado corretamente');
                //$json = json_encode($status);
            	exibir_json($status); 
        }
  
    
	


?>